Index: drivers/scsi/st.c
===================================================================
--- drivers/scsi/st.c	(.../trunk/cernlinux)	(revision 17)
+++ drivers/scsi/st.c	(.../branches/cernlinux/symbios_odd_byte_fix)	(revision 17)
@@ -243,6 +243,23 @@
 		return 0;
 	}
 
+	/* Symbios SCSI driver returns an error when an odd number of data
+	 * bytes is transferred.  Author claims it is a feature of a
+	 * passthru driver.  We currently ignore this "error" situation.
+	 * Originally by Fabien Collin, 2001. */
+	if (result == 0x27070000) {
+		DEB(
+			if (debugging) {
+				printk(
+					ST_DEB_MSG
+					"st%d: Ignoring error %x from LSI driver\n",
+					dev, result
+				);
+			}
+		) /* end DEB */
+		return 0;
+	}
+
 	if ((driver_byte(result) & DRIVER_SENSE) == DRIVER_SENSE)
 		scode = sense[2] & 0x0f;
 	else {
